## org.apache.myfaces.taglib.core
Class ValidateLongRangeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.faces.webapp.ValidatorTag
              org.apache.myfaces.taglib.core.ValidateLongRangeTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ValidateLongRangeTag
extends javax.faces.webapp.ValidatorTag

Version:
  $Revision: 225368 $ $Date: 2005-07-26 14:14:51 -0400 (Tue, 26 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $), Manfred Geiler
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ValidateLongRangeTag()`

Method Summary
`protected javax.faces.validator.Validator` `createValidator()`
`void` `release()`
`void` `setMaximum(java.lang.String maximum)`
`void` `setMinimum(java.lang.String minimum)`

Methods inherited from class javax.faces.webapp.ValidatorTag
`doStartTag, setValidatorId`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateLongRangeTag

    public ValidateLongRangeTag()

Method Detail

### release

    public void release()

### setMinimum

    public void setMinimum(java.lang.String minimum)

### setMaximum

    public void setMaximum(java.lang.String maximum)

### createValidator

    protected javax.faces.validator.Validator createValidator()
                                                       throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`